图谱 API 版

Page Conversations

读取

Get a list of conversations between people and your Page, your Business Page, or your Instagram Professional account.

New Page Experience

This endpoint is supported for New Page Experience.

Permissions

For Messenger conversations between people and your Page, your app will need: For Instagram Messaging conversations between people and your Instagram Professional account, your app will need:
  • A Page access token requested by a person who can perform the MESSAGING task on the Page linked to your Instagram Business account
  • The instagram_basic, instagram_manage_messages, and pages_manage_metadata permissions
  • Your app must be owned by a verified business

Limitations

  • Time-based pagination is not available for the conversations endpoint.

例子

Graph API Explorer
GET /v26.0/{page-id}/conversations HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{page-id}/conversations',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{page-id}/conversations",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{page-id}/conversations",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{page-id}/conversations"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果你希望详细了解如何使用图谱 API,请阅读我们的图谱 API 指南。

参数

参数描述
folder
string

folder

platform
enum {INSTAGRAM, MESSENGER}

platform

user_id
string

user_id

字段

从这条连线读取将返回一个 JSON 格式的结果:

{ "data": [], "paging": {} }

data

UnifiedThread 节点列表。

paging

详细了解分页功能,请见图谱 API 指南。

错误代码

错误描述
80006There have been too many messenger api calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
200Permissions error
100Invalid parameter
613Calls to this api have exceeded the rate limit.
230Permissions disallow message to user
190Invalid OAuth 2.0 Access Token
368The action attempted has been deemed abusive or is otherwise disallowed
104Incorrect signature
2500Error parsing graph query

创建

你无法在此端点执行该操作。

更新

你无法在此端点执行该操作。

删除

你无法在此端点执行该操作。